---
schema_version: "1"
id: 65052fadb9045a70fb16f922484f0e45ea78231b59c37657271016ccade50107
title: sObject Named Layouts
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-named-layouts.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-named-layouts.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0ffd4588586b3377014f8691e0c44816db48941c4e3cd341afa05c294cd69ff5
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# sObject Named Layouts

Retrieves information about alternate named layouts for a given object. This resource is available in REST API version 31.0 and later.

Use this resource to get information on a named layout for a given object. You must provide a valid named layout name as part of the resource URI.

To get a list of named layouts for a given object, use the [sObject Describe](https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-describe.md) resource and look for the “namedLayoutInfos” field in the response body.

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/describe/namedLayouts/layoutName`

**Formats:** JSON, XML

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Request body:** None

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/User/describe/namedLayouts/UserAlt -H "Authorization: Bearer token"
```

**See Also**  


-   [Object Reference for the Salesforce Platform](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/)

